don't unnecessarily override methods for 1.9.2 in AS::Multibyte::Chars

HI all,

A patch of mine from a few weeks ago made String#mb_chars use a proxy
class for 1.9.x as well as 1.8. This proxy overrode some methods that
were buggy in 1.9.1. but that work in 1.9.2. Since Rails officially
now only supports 1.8.7 and 1.9.2, these methods should definitely no
longer be overridden.

Here's the LH ticket:
https://rails.lighthouseapp.com/projects/8994-ruby-on-rails/tickets/4978-asmultibytechars-dont-override-methods-that-work-properly-in-192#ticket-4978-2

And the commit in my fork on Github:
http://github.com/norman/rails/commit/46d7d35cbaff546603fe230dda9188a9276a844b

Regards,

Norman